Subject: Re: git-core-arch: Missing dependency

From: "H. Peter Anvin" <[email-masked]>
Date: Fri, 11 Nov 2005 17:08:19 -0800

Junio C Hamano wrote:
> Andreas Ericsson <[email-masked]> writes:
> 
> 
>>Junio C Hamano wrote:
>>
>>>Horst von Brand <[email-masked]> writes:
>>>
>>>
>>>>The command git-archimport makes use of tla, but the relevant package(s) are
>>>>not on the requirements
>>>
>>>Thanks.  Should the fix be like this?
>>> Group:          Development/Tools
>>>-Requires:       git-core = %{version}-%{release}
>>>+Requires:       git-core = %{version}-%{release}, tla
>>
>>Just to be anal;
>>Requires doesn't usually include the %release,...
> 
> 
> Obviously both you and Chris (who did the part you are quoting
> for us) know RPM spec a lot better than I do, and I see two
> experts contradicting with each other.  It could have been just
> an oversight, or it might have done deliberately --- I cannot
> judge myself, so I punt here.  I'll remove "-%{release}" when I
> hear Chris says he agrees with you.
> 

You can do it either way.  It's a matter of the strictness of the 
binding.  If you put %{version} there, then it has to come from the same 
upstream release; for %{version}-%{release} it has to come from the same 
SRPM, i.e. usually from the same build.

In this case I think %{version}-%{release} is appropriate.

	-hpa